/*
 * library-specific stuff
 */

#ifndef _COMPILER_H
#include <compiler.h>
#endif

#ifndef _STDIO_H
#include <stdio.h>	/* for FILE */
#endif

__EXTERN int	_unx2dos __PROTO((const char *, char *));
__EXTERN int	_dos2unx __PROTO((const char *, char *));
__EXTERN long	_write 	 __PROTO((int, const void *, long));
__EXTERN long	_read 	 __PROTO((int, void *, long));
__EXTERN int	_console_read_byte __PROTO((int));
__EXTERN void	_console_write_byte __PROTO((int, int));
__EXTERN int	_doprnt	 __PROTO((FILE *, const char *, __VA_LIST__));
__EXTERN int	_scanf();	/* varargs */

__EXTERN char *	_ultoa	__PROTO((unsigned long, char *, int));
__EXTERN char *	_ltoa	__PROTO((long, char *, int));
__EXTERN char *	_itoa	__PROTO((int, char *, int));

__EXTERN long	_unixtime __PROTO((unsigned time, unsigned date));
